###############################################################################
# DoSearchThreads.pl                                                          #
###############################################################################
# UltraBoard Ver. 1.61 by UltraScripts.com                                    #
# Scripts written by Jacky W.W. Yung, WebMaster@UltraScripts.com              #
# Available from http://www.UltraScripts.com/UltraBoard/                      #
# --------------------------------------------------------------------------- #
# PROGRAM NAME : UltraBoard                                                   #
# VERSION : 1.61                                                              #
# LAST MODIFIED : 30/06/1999                                                  #
# =========================================================================== #
# COPYRIGHT NOTICE :                                                          #
#                                                                             #
# Copyright (c) 1999 Jacky Yung. All Rights Reserved.                         #
#                                                                             #
# This program is free software; you can change or modify it as you see fit.  #
# However, modified versions cannot be sold or distributed.  You cannot alter #
# the copyright and "powered by" notices throughout the scripts. These        #
# notices must be clearly visible to the end users.                           #
#                                                                             #
# WARRANTY DISCLAIMER:                                                        #
#                                                                             #
# THIS PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT #
# ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR       #
# FITNESS FOR A PARTICULAR PURPOSE.                                           #
###############################################################################

###############################################################################
# DoSearchThreads                                                             #
###############################################################################
sub DoSearchThreads {
	require "$LibPath/SearchMessages.lib";
	&SearchMessages();
	$HTML.=	"<p>".&BTable($TableWidth,$TableAlign,"0","0",$TableCellSpacing,$TableCellPadding,$TableBorderColor,"","").
				&Tr("","",$HeaderBGColor).
					&Td("","","5","","","","","","").
						&Font($FontFace,$HeaderTextSize,$HeaderTextColor).
							"<b> (ҵ ".scalar(@SortedList)." )</b>".
						&CFont().
					&CTd().
				&CTr().
				&Tr("","",$CategoryBGColor).
					&Td("","","","","","","","","").
						&Font($FontFace,$CategoryNameTextSize,$CategoryTextColor).
							"<b></b>".
						&CFont().
					&CTd().
					&Td("","","","","","","","","").
						&Font($FontFace,$CategoryNameTextSize,$CategoryTextColor).
							"<b></b>".
						&CFont().
					&CTd().
					&Td("","","","","","","","","").
						&Font($FontFace,$CategoryNameTextSize,$CategoryTextColor).
							"<b>̳</b>".
						&CFont().
					&CTd().
					&Td("","","","","","","","","").
						&Font($FontFace,$CategoryNameTextSize,$CategoryTextColor).
							"<b>ظ</b>".
						&CFont().
					&CTd().
				"</tr>";
    $RowColor=$RowOddBGColor;
	for ($i=0;$i<=$#SortedList;$i++) {
        @PostInfo=&DecodeDBOutput($PostID[$SortedList[$i]]);
		if ($PostInfo[9] ne ""){
            $MessageIcon=&Image("$URLImages/LockedMessage.gif","","","","","0",$PostInfo[9]);
			$MessageStatus="Ѿر ";
        }elsif ($Cookies{"B_".$PostInfo[7]."_TIME"}<$PostInfo[0]) {
            $MessageIcon=&Image("$URLImages/NewMessage.gif","","","","","0",$PostInfo[9]);
			$MessageStatus="ûп ";
        }else{
            $MessageIcon=&Image("$URLImages/OldMessage.gif","","","","","0",$PostInfo[9]);
			$MessageStatus="Ѿ ";
        }
		$HTML.=	&Tr("","",$RowColor).
						&Td("36%","","","","","","",$ColumnOddBGColor,"").
							&Table("100%","CENTER","0","0","","").
                                &Tr("","","").
                                    &Td("20","","","","","","","","").
                                        &Link("UltraBoard.$Ext?Action=ShowPost&Board=$PostInfo[6]&Post=$PostInfo[8]&Idle=$in{'Idle'}&Sort=$in{'Sort'}&Order=$in{'Order'}&Page=$in{'Page'}&Session=$SessionID",
                                            "",$PostInfo[7],
                                            "$MessageStatus").
                                            $MessageIcon.
                                        "</a>".
                                    "</td>".
                                    &Td("100%","","","","","","","","").
                                        &Font($FontFace,$TextSize,$TextColor)." ".
                                        &Link("UltraBoard.$Ext?Action=ShowPost&Board=$PostInfo[6]&Post=$PostInfo[8]&Idle=$in{'Idle'}&Sort=$in{'Sort'}&Order=$in{'Order'}&Page=$in{'Page'}&Session=$SessionID",
                                            "",$PostInfo[7],
                                            "鿴 ($PostInfo[0]) ").
                                            "<b>$PostInfo[0]</b>".
                                        "</a>".
                                        "</font>".
                                    "</td>".
                                "</tr>".
                            "</table>".
						"</td>".
						&Td("15%","","","","","","",$ColumnEvenBGColor,"").
							&Font($FontFace,$TextSize,$TextColor);
		if ($PostInfo[2]) {
			$HTML.=				&Link("UltraBoard.$Ext?Action=ShowProfile&ID=$PostInfo[2]&Board=$PostInfo[6]&Idle=$in{'Idle'}&Sort=$in{'Sort'}&Order=$in{'Order'}&Page=$in{'Page'}&Session=$SessionID","Profile","",
									"鿴 $PostInfo[1] ($PostInfo[2]) ĸϢ").
									$PostInfo[1].
								"</a>";
		}else{
			$HTML.=				$PostInfo[1];
		}
		$HTML.=				"</font>".
						"</td>".
						&Td("25%","","","","","","",$ColumnOddBGColor,"").
							&Font($FontFace,$TextSize,$TextColor).
								&Link("UltraBoard.$Ext?Action=ShowBoard&Board=$PostInfo[6]&Idle=$in{'Idle'}&Sort=$in{'Sort'}&Order=$in{'Order'}&Session=$SessionID","","",
									"鿴 ($PostInfo[7]) ̳").
									$PostInfo[7].
								"</a>".
							"</font>".
						"</td>".
						&Td("24%","","","","","","",$ColumnEvenBGColor,"").
							&Font($FontFace,$TextSize,$TextColor).
								&GetDate($PostInfo[5],$DateTextColor,$TimeTextColor,$DateTextSize,$TimeTextSize).
							"</font>".
						"</td>".
					"</tr>";
        if ($RowColor eq $RowEvenBGColor) {
            $RowColor=$RowOddBGColor;
        }else{
            $RowColor=$RowEvenBGColor;
        }
    }
	$HTML.=		&Tr("","",$MenuBGColor).
					&Td("","","5","","","","","","").
						&PrintVersion("YES").
					"</td>".
				"</tr>".
			"</table></td></tr></table>".
			&GetBoardList();
	&PrintTheme("$UBName -  (ҵ ".scalar(@SortedList)." )",$HTML);
	exit;
}
###############################################################################
1;# End of DoSearchThreads Function
###############################################################################